#!/bin/bash
ROOT_PATH=/usr/local/u-mail/
cd $ROOT_PATH

source .env

docker-compose stop

docker-compose up -d


if [[ -z $(docker exec -it $(docker ps|grep umail_mariadb|awk '{print $1}') /usr/bin/mysql -uumail -Dumail -p$DBPASS -e 'select * from core_domain where antivirus="1";'|grep domain_id) ]]; then
   echo 'stop antivirus'
   docker stop $(docker ps -a|grep u-mail/clam|awk '{print $1}')
else
   echo 'start antivirus'
   docker start $(docker ps -a|grep u-mail/clam|awk '{print $1}')
fi

if [[ -z $(docker exec -it $(docker ps|grep umail_mariadb|awk '{print $1}') /usr/bin/mysql -uumail -Dumail -p$DBPASS -e 'select * from core_domain where antispam="1";'|grep domain_id) ]]; then
   echo 'stop antispam'
   docker stop $(docker ps -a|grep u-mail/dspam|awk '{print $1}')
   docker stop $(docker ps -a|grep u-mail/postgres|awk '{print $1}')
else
   echo 'start antispam'
   docker start $(docker ps -a|grep u-mail/dspam|awk '{print $1}')
   docker start $(docker ps -a|grep u-mail/postgres|awk '{print $1}')
fi
