BEGIN;
CREATE TEMP TABLE tmp_data (LIKE dspam_token_data)  ON COMMIT DROP;
\copy tmp_data from /tmp/dspam.csv with csv header
-- prevent any other updates while we are merging input (omit this if you don't need it)
-- LOCK dspam_token_data IN SHARE ROW EXCLUSIVE MODE;
-- insert into target table
INSERT INTO dspam_token_data(uid, token, spam_hits, innocent_hits, last_hit)
   SELECT uid, token, spam_hits, innocent_hits, last_hit
   FROM tmp_data
   WHERE NOT EXISTS (SELECT 1 FROM dspam_token_data
                     WHERE (dspam_token_data.uid, dspam_token_data.token) = (tmp_data.uid, tmp_data.token));
END;

