#!/bin/bash

############################################################
# 变量设置

#RESOURCE_URL="http://115.238.86.89:88/";
RESOURCE_URL="http://www.mailrelay.cn/static/dspam/dspam_full.gz";
UNZIP_DIR="/tmp/.init_dspam/";
DATA_FILE_ZIP="${UNZIP_DIR}dspam.gz";

############################################################
# 函数定义

function wget_data() {
    echo "Get Data"
    mkdir -p $UNZIP_DIR
    wget --no-check-certificate -O $DATA_FILE_ZIP -o /dev/null $RESOURCE_URL
    #curl -L $RESOURCE_URL > $DATA_FILE_ZIP
    RESULT=$?

    if [ ${RESULT} -ne 0 ]; then
        echo "Error: unable to download update data!"
        exit 1
    fi
    echo "init sql file $RESOURCE_SQL";
}

function init_data() {
    echo "Init Data"
    psql -v ON_ERROR_STOP=1 --username "$POSTGRES_USER" --dbname "$POSTGRES_DB" -c 'CREATE DATABASE dspam;'

    # 导入数据
    gunzip -c ${DATA_FILE_ZIP}| psql --username "$POSTGRES_USER" --dbname dspam;

    rm -rf $UNZIP_DIR
    echo "finish Init Data"
}


############################################################
# 程序执行
wget_data;
init_data;
